#include "system.h"
#include "serial.h"


int main(void)
{
    //System Init
	SystemInit();
  
    //LED Init
	Led1Init();
	Led1On();
	
	//Serial Init
	DebugInit(BAUD_115200);
	DebugPrint("Serial Test Program.\r\n");

	while (1)
	{
		switch(U0_GetByte())
		{
		case '0':
		  	Led1Off();
			DebugPrint("LED OFF\r\n");
		  	break;

		case '1':
			Led1On();
			DebugPrint("LED ON\r\n");
		  	break;
		}		
	}
}
